<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Create System Notification REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75553/create-system-notification-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Create System Notification REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75553/create-system-notification-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:48:56 GMT</pubDate><guid isPermaLink="false">943b0d89-5bf5-45a7-a1aa-fff4be85b985</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75553/create-system-notification-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:48:56&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;POST api.ashx/v2/systemnotifications.{json|xml}&lt;/h2&gt;&lt;p&gt;Enables external applications to send system notifications to specific users, system administrators, or group owners. If GroupId is set, the calling user must have Modify Group permissions to send a notification.  If GroupId is not set, the calling user must have Manage Settings permissions.&lt;/p&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;Body&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The body of the notification&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;EnableDistribution&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Enables the system notification to be sent to recipients. If disabled, the notification will only show on the community site.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;True&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;GroupId&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The ID of the group to send to. If omitted, the notification is sent to site administrators.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;GroupingKey&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;User generated key used to group duplicate notifications of the same type. Optional.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;IsResolvable&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Identifies whether this notification is user-resolvable. When true, it can only be resolved by the Service User.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;True&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Subject&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The subject of the notification&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;UserIds&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;A comma-separated list of users to send the message to. If omitted, the notification is sent to site administrators&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.post({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/systemnotifications.json&amp;#39;,
	data: { 
		&amp;#39;Body&amp;#39;: &amp;#39;body&amp;#39;,
		&amp;#39;Subject&amp;#39;: &amp;#39;subject&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>